Option for disable a scheduled record
Description

Hello. | use kodi as frontend for vdr but | plan to migrate my backend to tvheadend for simplicity and continuity. | noticed there are no
options for disable a scheduled record instead of delete it. For example, suppose an autorecord has scheduled 6 recordings, but
when | revise them | don't want to record 2 of them. If | delete them, after some minutes or a power cycle (I've got configured it for
powersave on idle) the recordings are scheduled again.

In kodi pvr client there is a option to disable one scheduled recording, and it works ok on vdr (I have it working but, outdated...), but
nothing happens on tvheadend when used.

It will be very usefull to have this option (at least for me).

Thanks in advice.

Associated revisions

Revision fa579537 - 2015-09-25 15:14 - Jaroslav Kysela
DVR: implement enabled flag for DVR entry, fixes #3104

Revision d09aacab - 2015-09-26 18:42 - Jaroslav Kysela

DVR: autorec - remember disabled events during reschedule, fixes #3104

Revision b51867f5 - 2015-10-06 10:52 - Jaroslav Kysela
DVR: handle enable flag at start of a recording, fixes #3104

History

#1 - 2015-09-23 15:04 - Jaroslav Kysela

- Target version set to 4.2

#2 - 2015-09-25 17:15 - Jaroslav Kysela
- Status changed from New to Fixed

- % Done changed from 0 to 100

Applied in changeset tvheadend|fa5795379980546¢76c5686633215a56d72365b4.

#3 - 2015-09-26 17:56 - F. J.

Jaroslav Kysela wrote:

Applied in changeset tvheadend|fa5795379980546¢76c5686633215a56d72365b4.

The option works as expected but when tvheadend restarts (for example when wake up after a period of power off) autorecorders still reschedule
recordings that have been disbled. It will be much better not to reschedule them, because we have "explicit" disabled them.

Thanks again.

#4 - 2015-09-26 20:44 - Jaroslav Kysela

Good point. Fixed in v4.1-486-gd09aaca -
https://tvheadend.org/projects/tvheadend/repository/revisions/d09aacab3a820b219b6e1dd3c869ee294575eee0/diff/
#5 - 2015-10-06 10:09 - Oliver Kotter

Am | right that disabled entries are moved to failed recordings? | think this is not a great solution ;). Status is "File missing". OK, the file is really
missing because the recording would be in the future, so....

How do | reenable this entry? Deleting it from failed recordings?
#6 - 2015-10-06 10:31 - F. J.
Oliver Kotter wrote:

Am | right that disabled entries are moved to failed recordings? | think this is not a great solution ;). Status is "File missing". OK, the file is really
missing because the recording would be in the future, so....

How do | reenable this entry? Deleting it from failed recordings?

| agree too. It will be nice to keep them in upcoming recordings if they are "running now" or in the future. The client soft must be able to reenable it.
Kodi client for example offers that option.

#7 - 2015-10-06 12:53 - Jaroslav Kysela
OK. Moved the enabled flag evaluation when the recordings start. Check v4.1-547-gb51867f .
